CobolConnectionFactory (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.cci.CobolConnectionFactory class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.cci
Class CobolConnectionFactory

    java.lang.Object
      com.microfocus.cobol.connector.cci.CobolConnectionFactory

All Implemented Interfaces:
  ConnectionFactory, Referenceable, Referenceable, Serializable

public class CobolConnectionFactory
extends Object
implements ConnectionFactory, Serializable, Referenceable

This implementation class provides provides an interface for getting connection to a Cobol Server instance.

See Also:
  Serialized Form

Constructor Summary
`CobolConnectionFactory(ManagedConnectionFactory mcf)` Construct a connection factory.
`CobolConnectionFactory(ManagedConnectionFactory mcf, ConnectionManager cm)` Construct a connection factory.

Method Summary
`Connection` | `getConnection()` Get a CobolConnection instance.
`Connection` | `getConnection(ConnectionSpec properties)` Get a CobolConnection instance
`ResourceAdapterMetaData` | `getMetaData()` Get an instance of Resource Adapter Meta Data.
`RecordFactory` | `getRecordFactory()` Get a Cobol Record factory
`Reference` | `getReference()` Get a reference for the Connection Factory
`void` | `setReference(Reference reference)` Set a reference for the Connection Factory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CobolConnectionFactory

    public CobolConnectionFactory(ManagedConnectionFactory mcf,
                                  ConnectionManager cm)

  Construct a connection factory.

Parameters:
  `mcf` - - The Managed Connection factory instance.
  `cm` - - The connection Manager. This is implemented by the EJB container.

### CobolConnectionFactory

    public CobolConnectionFactory(ManagedConnectionFactory mcf)

  Construct a connection factory.

Parameters:
  `mcf` - - The Managed connection factory instance.

Method Detail

### getConnection

    public Connection getConnection()
                             throws ResourceException

  Get a CobolConnection instance.

  Specified by:
    `getConnection` in interface `ConnectionFactory`
  Returns:
    The CobolConnection instance.
  Throws:
    `ResourceException`

### getConnection

    public Connection getConnection(ConnectionSpec properties)
                             throws ResourceException

  Get a CobolConnection instance

  Specified by:
    `getConnection` in interface `ConnectionFactory`
  Parameters:
    `properties` - - The Connection Spec properties.
  Returns:
    The CobolConnection instance.
  Throws:
    `ResourceException`

### getMetaData

    public ResourceAdapterMetaData getMetaData()
                                        throws ResourceException

  Get an instance of Resource Adapter Meta Data.

  Specified by:
    `getMetaData` in interface `ConnectionFactory`
  Returns:
    CobolResourceAdapterMetaData
  Throws:
    `ResourceException`
  See Also:
    `CobolResourceAdapterMetaData`

### getRecordFactory

    public RecordFactory getRecordFactory()
                                   throws ResourceException

  Get a Cobol Record factory

  Specified by:
    `getRecordFactory` in interface `ConnectionFactory`
  Returns:
    CobolRecordFactory
  Throws:
    `ResourceException`
  See Also:
    `CobolRecordFactory`

### setReference

    public void setReference(Reference reference)

  Set a reference for the Connection Factory

  Specified by:
    `setReference` in interface `Referenceable`
  Parameters:
    `reference` -

### getReference

    public Reference getReference()

  Get a reference for the Connection Factory

  Specified by:
    `getReference` in interface `Referenceable`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.